
%define beta beta

Summary: A KDE-based chess enviroment
Name:	 knights 
Version: 0.6.4
Release: 0.1.beta%{?dist} 

License: GPL
Source0: http://dl.sourceforge.net/knights/knights-%{version}-%{beta}.tar.gz
Group:   Amusements/Games
Url:     http://www.knights-chess.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel 
BuildRequires: gettext
BuildRequires: automake

%description
Knights aims to be the ultimate chess resource on your computer. Written 
for the K Desktop Environment, it's designed to be both friendly to new 
chess players and functional for Grand Masters. Some of Knights' key features
include: single, multi, and internet play; customizable board and pieces; 
audio cues; move previews; and much much more...


%prep
%setup -q -n %{name}

make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --disable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --vendor="fedora" --delete-original \
  --add-category="X-Fedora" \
  --add-category="BoardGame" \
  --add-category="Game" \
  --add-category="Applicaion" \
  --add-category="KDE" \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Games/Board/knights.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc CreatingThemes
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/knights/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT 


%changelog
* Fri Mar 24 2006 Rex Dieter 0.6.1-1
- cleanup

